<?php
/* ==================================================================
 *	Custom post types
 * ================================================================== */

// Grain
add_action('init', 'agb_register_post_grain');
function agb_register_post_grain() {
    register_post_type('agb_grain', 
        array(
            'label' => 'Grain',
            'description' => 'Ingredient: grain',
            'public' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'capability_type' => 'post',
            'map_meta_cap' => true,
            'hierarchical' => false,
            'rewrite' => array('slug' => 'grain', 'with_front' => 1),
            'query_var' => true,
            'menu_position' => '50',
            'menu_icon' => 'dashicons-carrot',
            'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail'),
            'labels' => array (
              'name' => 'Grain',
              'singular_name' => 'grain',
              'menu_name' => 'Grain',
              'add_new' => 'Add grain',
              'add_new_item' => 'Add New grain',
              'edit' => 'Edit',
              'edit_item' => 'Edit grain',
              'new_item' => 'New grain',
              'view' => 'View grain',
              'view_item' => 'View grain',
              'search_items' => 'Search Grain',
              'not_found' => 'No Grain Found',
              'not_found_in_trash' => 'No Grain Found in Trash',
              'parent' => 'Parent grain',
            )
        )
    ); 
}

// Hops
add_action('init', 'agb_register_post_hops');
function agb_register_post_hops() {
    register_post_type('agb_hops', 
        array(
            'label' => 'Hops',
            'description' => 'Ingredient: hops',
            'public' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'capability_type' => 'post',
            'map_meta_cap' => true,
            'hierarchical' => false,
            'rewrite' => array('slug' => 'hops', 'with_front' => 1),
            'query_var' => true,
            'menu_position' => '51',
            'menu_icon' => 'dashicons-carrot',
            'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail'),
            'labels' => array (
              'name' => 'Hops',
              'singular_name' => 'hops',
              'menu_name' => 'Hops',
              'add_new' => 'Add hops',
              'add_new_item' => 'Add new hops',
              'edit' => 'Edit',
              'edit_item' => 'Edit hops',
              'new_item' => 'New hops',
              'view' => 'View hops',
              'view_item' => 'View hops',
              'search_items' => 'Search hops',
              'not_found' => 'No Hops Found',
              'not_found_in_trash' => 'No hops Found in Trash',
              'parent' => 'Parent hops',
            )
        )
    ); 
}

// Yeast
add_action('init', 'agb_register_post_yeast');
function agb_register_post_yeast() {
    register_post_type('agb_yeast', 
        array(
            'label' => 'Yeast',
            'description' => 'Ingredient: yeast',
            'public' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'capability_type' => 'post',
            'map_meta_cap' => true,
            'hierarchical' => false,
            'rewrite' => array('slug' => 'yeast', 'with_front' => 1),
            'query_var' => true,
            'menu_position' => '52',
            'menu_icon' => 'dashicons-carrot',
            'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail'),
            'labels' => array (
              'name' => 'Yeast',
              'singular_name' => 'yeast',
              'menu_name' => 'Yeast',
              'add_new' => 'Add yeast',
              'add_new_item' => 'Add new yeast',
              'edit' => 'Edit',
              'edit_item' => 'Edit yeast',
              'new_item' => 'New yeast',
              'view' => 'View yeast',
              'view_item' => 'View yeast',
              'search_items' => 'Search yeast',
              'not_found' => 'No yeast found',
              'not_found_in_trash' => 'No yeast found in trash',
              'parent' => 'Parent yeast',
            )
        )
    ); 
}

// Water
add_action('init', 'agb_register_post_water');
function agb_register_post_water() {
    register_post_type('agb_water', 
        array(
            'label' => 'Water',
            'description' => 'Ingredient: water',
            'public' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'capability_type' => 'post',
            'map_meta_cap' => true,
            'hierarchical' => false,
            'rewrite' => array('slug' => 'water', 'with_front' => 1),
            'query_var' => true,
            'menu_position' => '53',
            'menu_icon' => 'dashicons-carrot',
            'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail'),
            'labels' => array (
              'name' => 'Water',
              'singular_name' => 'water',
              'menu_name' => 'Water',
              'add_new' => 'Add water',
              'add_new_item' => 'Add new water',
              'edit' => 'Edit',
              'edit_item' => 'Edit water',
              'new_item' => 'New water',
              'view' => 'View water',
              'view_item' => 'View water',
              'search_items' => 'Search water',
              'not_found' => 'No water found',
              'not_found_in_trash' => 'No water found in trash',
              'parent' => 'Parent water',
            )
        )
    ); 
}

/* ==================================================================
 *	Custom taxonomies
 * ================================================================== */

// Common beer styles for this hop
add_action('init', 'agb_register_tax_hops_styles');
function agb_register_tax_hops_styles() {
    register_taxonomy( 'agb_hops_styles', array ('agb_hops'),
        array( 
            'hierarchical' => false,
            'label' => 'Beer Styles (for this hop)',
            'show_ui' => true,
            'query_var' => true,
            'show_admin_column' => true,
            'labels' => array (
                'search_items' => 'Beer Style',
                'popular_items' => '',
                'all_items' => '',
                'parent_item' => '',
                'parent_item_colon' => '',
                'edit_item' => '',
                'update_item' => '',
                'add_new_item' => '',
                'new_item_name' => '',
                'separate_items_with_commas' => '',
                'add_or_remove_items' => '',
                'choose_from_most_used' => '',
            )
        ) 
    ); 
}

// Hops substitutes
add_action('init', 'agb_register_tax_hops_substitute');
    function agb_register_tax_hops_substitute() {
    register_taxonomy( 'agb_hops_substitute',array ('agb_hops'),
        array( 
            'hierarchical' => false,
            'label' => 'Possible Substitutions',
            'show_ui' => true,
            'query_var' => true,
            'show_admin_column' => true
        ) 
    ); 
}

// Yeast source
add_action('init', 'agb_register_tax_yeast_source');
    function agb_register_tax_yeast_source() {
        register_taxonomy( 'agb_yeast_source',array ('agb_yeast'),
        array( 
            'hierarchical' => true,
            'label' => 'Yeast Source',
            'show_ui' => true,
            'query_var' => true,
            'rewrite' => array( 'slug' => 'yeast-source' ),
            'show_admin_column' => false
        ) 
    ); 
}

?>